document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_1900 | ---
+++
@@ -5,8 +5,8 @@
histappend interactive_comments no_empty_cmd_completion progcomp
HISTCONTROL=ignoredups:ignorespace
-HISTSIZE=1000
-HISTFILESIZE=2000
+HISTSIZE=100000
+HISTFILESIZE=200000
HISTTIMEFORMAT='%Y-%m-%d %H:%M:%S '
#### direct2cache head END #### | bash |
d_bash_1901 | ---
+++
@@ -1,4 +1,11 @@
#!/bin/bash
+
+# setup:
+# $ sudo apt-get install mailutils lynx
+# $ crontab -e
+# # m h dom mon dow command
+# 0 */1 * * * /path/to/chkip.sh
+
function exip() { lynx --dump http://ipecho.net/plain; }
@@ -15,7 +22,7 @@
#echo $prev_ip
#echo $curr_ip
-if [ $prev_ip!=$curr_ip ]; the... | bash |
d_bash_1902 | ---
+++
@@ -6,28 +6,17 @@
rm -rf calabash-ios-united
echo "Downloading android files"
-curl --silent -L -o united.zip https://codeload.github.com/calabash/calabash-android/zip/united
-mv united.zip android.zip
-echo "Downloading ios files"
-curl --silent -L -o united.zip https://codeload.github.com/calabash/calab... | bash |
d_bash_1903 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-VERSION=0.4.8
+VERSION=0.4.9
TMPDIR=/tmp/google-api-php-client
RELFILE=/tmp/google-api-php-client-${VERSION}.tar.gz
| bash |
d_bash_1904 | ---
+++
@@ -8,5 +8,9 @@
cp *.pak ~/content-shell
cp *.so ~/content-shell
cp content_shell ~/content-shell
+cp chrome ~/content-shell
+cp -r locales ~/content-shell
+cp -r resources ~/content-shell
+cp -r ui ~/content-shell
cd ~
tar -zvcf content-shell.tar.gz content-shell | bash |
d_bash_1905 | ---
+++
@@ -8,7 +8,7 @@
init_vars
-module load gcc
+module load GCC
module load cmake
checkout_git
@@ -16,7 +16,7 @@
mkdir ${BUILD_DIR}/build
pushd ${BUILD_DIR}/build
-cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=${INSTALL_DIR} ..
+cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=${INST... | bash |
d_bash_1906 | ---
+++
@@ -5,14 +5,14 @@
if [[ $REPLY =~ ^[Yy]$ ]]; then
- docker-compose -f docker-compose.yml -f docker-compose.dev.yml down -v
+ docker-compose down -v
docker stop $(docker ps -a -q)
docker rm $(docker ps -a -q)
docker volume prune -f
- docker-compose -f docker-compose.yml -f docker... | bash |
d_bash_1907 | ---
+++
@@ -1,4 +1,11 @@
#!/bin/bash -ex
+
+if [ ! -f /etc/lsb-release ] || \
+ (. /etc/lsb-release && [ $DISTRIB_RELEASE != "10.04" ]) || \
+ [ `uname -m` != "x86_64" ]; then
+ echo "This installer supports only Ubuntu 10.04 64bit server"
+ exit 1;
+fi
# Git bootstrap
if ! (which git); then | bash |
d_bash_1908 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
# Set Minecraft version
-MC_VERSION="${MC_VERSION:-1.7.10}"
+MC_VERSION="${MC_VERSION:-1.8.3}"
# Download Minecraft | bash |
d_bash_1909 | ---
+++
@@ -4,7 +4,7 @@
echo -e "Publishing javadoc...\n"
- cp -R build/docs/javadoc $HOME/javadoc-latest
+ cp -R jsr330activator.implementation/target/apidocs $HOME/javadoc-latest
cd $HOME
git config --global user.email "travis@travis-ci.org" | bash |
d_bash_1910 | ---
+++
@@ -3,5 +3,4 @@
# build using pthreads where it's already built into the system
#
/bin/rm -f mttest
-gcc -DPTHREADS -I../../include -g mttest.c -o mttest -L../.. -lssl -lcrypto -lpthread
-
+gcc -DPTHREADS -I../../include -g mttest.c -o mttest -L../.. -lssl -lcrypto -lpthread -ldl | bash |
d_bash_1911 | ---
+++
@@ -7,4 +7,4 @@
# Generate enum constants
dotnet build Google.Cloud.Compute.V1.EnumConstantGenerator
-dotnet run --no-build -p Google.Cloud.Compute.V1.EnumConstantGenerator > Google.Cloud.Compute.V1/ComputeEnumConstants.g.cs
+dotnet run --no-build --project Google.Cloud.Compute.V1.EnumConstantGenerator > ... | bash |
d_bash_1912 | ---
+++
@@ -3,8 +3,8 @@
FAUCETHOME=`dirname $0`/..
PIPARGS=$*
-$FAUCETHOME/docker/retrycmd.sh "pip install --upgrade $PIPARGS -r $FAUCETHOME/py2-test-requirements.txt" || exit 1
+$FAUCETHOME/docker/retrycmd.sh "pip install -q --upgrade $PIPARGS -r $FAUCETHOME/py2-test-requirements.txt" || exit 1
for r in test-... | bash |
d_bash_1913 | ---
+++
@@ -11,7 +11,7 @@
eval "$(ssh-agent -s)" #start the ssh agent
ssh-add .travis/id_rsa
- gulp cd:pushAndRun
+ gulp cd
elif [ $TRAVIS_BRANCH = "staging" ]; then
echo "Deploying to staging and testing"
| bash |
d_bash_1914 | ---
+++
@@ -5,16 +5,16 @@
exit 1
fi
-pip install -r requirements-test.txt --use-mirrors
+pip install -r requirements-test.txt
if [[ $USE_OPTIONAL == "true" && $TRAVIS_PYTHON_VERSION != "pypy" ]]; then
if [[ $TRAVIS_PYTHON_VERSION == "2.6" ]]; then
- pip install -r requirements-optional-2.6.txt --use-mi... | bash |
d_bash_1915 | ---
+++
@@ -26,12 +26,7 @@
export IJ_LAUNCHER="$IJ_PATH/ImageJ-linux64"
JAVA_COMMAND_CLASS="org.scijava.jupyter.commands.InstallScijavaKernel"
-
-LANGUAGE="jython"
-$IJ_LAUNCHER --ij2 --headless --run $JAVA_COMMAND_CLASS "logLevel=\"info\",scriptLanguage=\"$LANGUAGE\",pythonBinaryPath=\"$(which python)\""
-
-LANG... | bash |
d_bash_1916 | ---
+++
@@ -3,3 +3,21 @@
mkdir -p ~/repo/neovim-image/
curl -L https://github.com/neovim/neovim/releases/download/nightly/nvim.appimage > ~/repo/neovim-image/nvim.appimage
chmod +x ~/repo/neovim-image/nvim.appimage
+
+# Necessary for coc.nvim plugin
+if ! [ -x "$(command -v nodejs)" ]; then
+ sudo apt-get insta... | bash |
d_bash_1917 | ---
+++
@@ -27,6 +27,6 @@
]
)
" > Package.swift
-swift build
+swift build -Xswiftc "-target" -Xswiftc "x86_64-apple-macosx10.11"
cd ../
rm -rf $PROJECT_NAME | bash |
d_bash_1918 | ---
+++
@@ -7,6 +7,11 @@
if zstyle -t ':omz:module:syntax-highlighting' color; then
source "${0:h}/external/zsh-syntax-highlighting.zsh"
- ZSH_HIGHLIGHT_HIGHLIGHTERS=(main brackets pattern cursor)
+
+ # Set the highlighters.
+ zstyle -a ':omz:module:syntax-highlighting' highlighters 'ZSH_HIGHLIGHT_HIGHLIGHTE... | bash |
d_bash_1919 | ---
+++
@@ -6,4 +6,4 @@
# to the website.
#
-make -C ub_tools root_install
+make -C "$VUFIND_HOME/ub_tools" root_install | bash |
d_bash_1920 | ---
+++
@@ -11,13 +11,18 @@
exit 1
fi
-whiptail --passwordbox "Enter your database password. REMEMBER THIS!" 8 78 --title "Trackmon Database Setup" 2> password
-PASSWORD=$(cat password)
-rm password
+
echo "Creating new user trackmon"
sudo adduser --disabled-login --gecos 'Trackmon' trackmon
echo "Trying to ... | bash |
d_bash_1921 | ---
+++
@@ -1,8 +1,24 @@
#!/bin/bash
+
+cd $(dirname $0)
DEBUG="js-schema.debug.js"
MIN="js-schema.min.js"
+if [ -f node_modules/browserify/bin/cmd.js ]
+then
+ BROWSERIFY='node_modules/browserify/bin/cmd.js'
+else
+ BROWSERIFY=browserify
+fi
-browserify index.js | sed 's|require("/index.js")|window.sc... | bash |
d_bash_1922 | ---
+++
@@ -33,6 +33,9 @@
$CPANM List::MoreUtils
+# Always print stack traces when die()ing
+$CPANM Carp::Always
+
# Install profiler and tools
$CPANM Devel::NYTProf
$CPANM Devel::Cover | bash |
d_bash_1923 | ---
+++
@@ -6,8 +6,8 @@
file="${url##*/}"
# read userAgent from property file
-source userAgent.property.sh
+. ./userAgent.property.sh
-curl --user-agent "$userAgent" "$url" > "$file"
+curl -# --user-agent "$userAgent" "$url" > "$file"
cp *.xml .. | bash |
d_bash_1924 | ---
+++
@@ -9,9 +9,10 @@
conda update -q conda
conda info -a
conda install pip pyzmq
-# Install the latest version of the notebook
-pip install --pre notebook
-
+# Install the development version of the notebook
+git clone https://github.com/jupyter/notebook
+cd notebook
+pip install --pre -e .
# Create jupyter... | bash |
d_bash_1925 | ---
+++
@@ -8,7 +8,7 @@
# The rest of my fun git aliases
alias g='git'
-alias gl='git log --graph --pretty="format:%C(yellow)%h%Cblue%d%Creset %s %C(white) %an, %ar%Creset"'
+alias gl='git log --graph --pretty="format:%C(yellow)%h%Cgreen%d%Creset %s %C(white) %an, %ar%Creset"'
alias gpr='git pull --rebase'
alia... | bash |
d_bash_1926 | ---
+++
@@ -1,11 +1,26 @@
-#creates a pod and runs Example.java(list pods for all namespaces) on starting of pod
-export REPO_ROOT=$(pwd)/../
+#!/bin/bash
-cd ${REPO_ROOT}/kubernetes
+# creates a pod and runs
+# Example.java(list pods for all namespaces) on starting of pod
+
+# Exit on any error.
+set -e
+
+if ! w... | bash |
d_bash_1927 | ---
+++
@@ -6,6 +6,7 @@
export MEDIA_CONFIG="${HOME}/etc/media.conf"
+# List the episodes in the most recent season of a TV show.
function tv {
local show="${1//\//}";
local season=$( | bash |
d_bash_1928 | ---
+++
@@ -1,14 +1,25 @@
#!/bin/bash
-if [ `netstat -t | grep -v CLOSE_WAIT | grep ':8787' | wc -l` -lt 3 ]
-then
- if [ -e "/tmp/monitor_run" ];
+# Take the netstat output the estimate if the client is still connected to
+# the RStudio server. The 'CLOSE_WAIT' state will be ignored. It
+# Indicates that the s... | bash |
d_bash_1929 | ---
+++
@@ -1,5 +1,13 @@
# build vim with lua support
-make distclean # in case it is built before
-./configure --with-lua-prefix
+# brew install lua before running this script
+
+# in case it is built before
+make distclean
+
+# configure the build
+./configure --enable-luainterp \
+ --wi... | bash |
d_bash_1930 | ---
+++
@@ -1,5 +1,9 @@
#!/bin/bash
set -e
+
+USE_NGINX_MAX_UPLOAD=${NGINX_MAX_UPLOAD:-0}
+
+echo "client_max_body_size $USE_NGINX_MAX_UPLOAD;" > /etc/nginx/conf.d/upload.conf
echo -e "WARNING: YOU SHOULDN'T BE USING THE 'latest' DOCKER TAG.
| bash |
d_bash_1931 | ---
+++
@@ -26,3 +26,15 @@
echo "------ foodcritic checks: $cbname ------"
$FOODCRITIC cookbooks/$cbname | chef-ci-tools/bin/foodcritic2junit.pl --suite $cbname --out junit_reports/foodcritic-$cbname.xml
done
+
+if [ -z "${1}" ] && [ -z "${2}" ] && [ $(find whatever -maxdepth 0 -type d -empty 2>/dev/null) ]; t... | bash |
d_bash_1932 | ---
+++
@@ -3,6 +3,7 @@
. ${CATTLE_HOME:-/var/lib/cattle}/common/scripts.sh
chmod 600 content/etc/monit/monitrc
+chmod 600 content/etc/monit/conf.d/logrotate
stage_files
| bash |
d_bash_1933 | ---
+++
@@ -6,6 +6,10 @@
cd $(dirname "$0")
TEST_DIR=$(pwd)
PKG_DIR=$(dirname "$TEST_DIR")
+
+# Make Node complain about deprecations more loudly.
+export NODE_PENDING_DEPRECATION=1
+export NODE_OPTIONS="--trace-warnings"
cd "$PKG_DIR"
npm link packages/babel-plugin-transform-es2015-modules-reify | bash |
d_bash_1934 | ---
+++
@@ -1,4 +1,8 @@
#!/bin/bash
TOOLS=`dirname $0`
+if [ -n "$venv" ]; then
+VENV=$venv
+else
VENV=$TOOLS/../.venv
+fi
source $VENV/bin/activate && "$@" | bash |
d_bash_1935 | ---
+++
@@ -6,7 +6,7 @@
DATA_FOLDER='/var/lib/hiera'
# Setup Hiera.
-# @see http://docs.puppetlabs.com/hiera/1/index.html
+# @see https://docs.puppetlabs.com/hiera/1
# Hiera uses an ordered hierarchy to look up data.
# @see http://docs.puppetlabs.com/hiera/1/hierarchy.html
@@ -15,15 +15,15 @@
---
:backends:... | bash |
d_bash_1936 | ---
+++
@@ -18,3 +18,4 @@
echo "Grafana URL http://$MASTER_IP:3000/login"
echo "Spark Driver http://$DRIVER_IP:4040/"
echo "Logs http://$DRIVER_IP:8011/log.txt"
+echo "Charts http://$DRIVER_IP:8011/charts/index.html" | bash |
d_bash_1937 | ---
+++
@@ -16,8 +16,7 @@
brew install go boost
# TODO run full test suite when we deprecate Travis
-export CI=true
-export FIXTURE=swift
+export FIXTURE=swift,objective-c
if script/test; then
slack_notify_build_passed
else | bash |
d_bash_1938 | ---
+++
@@ -5,15 +5,15 @@
export JAVA_HOME="$(readlink -f /usr/bin/java | sed "s:bin/java::")";
echo "Starting WSO2 BPS...";
-nohup ./wso2bps/bin/wso2server.sh >> ~/OpenTOSCA/wso2bps-nohup.log 2>&1 &
-sleep 30
+nohup ./wso2bps/bin/wso2server.sh >> ~/wso2bps/nohup.log 2>&1 &
+sleep 3
echo "Starting OpenTOSCA co... | bash |
d_bash_1939 | ---
+++
@@ -1,3 +1,8 @@
# Use cquery
export PATH="$PATH:$HOME/.config/nvim/plugged/cquery/build/release/bin"
+# Use nvim instead of vim
+alias vim="nvim"
+alias vi="nvim"
+alias vimdiff='nvim -d'
+export EDITOR=nvim | bash |
d_bash_1940 | ---
+++
@@ -6,6 +6,7 @@
raw_data_file="./collected_data/${base_fn}.dat"
converted_data_file="./collected_data_converted/${base_fn}_converted.dat"
cp ${datafile} ${raw_data_file}
+ rm -rf ${datafile}
if [ $? -gt 0 ]; then
echo "Failed to copy raw data."
exit 1 | bash |
d_bash_1941 | ---
+++
@@ -21,3 +21,4 @@
go get github.com/suapapa/go_sass
go get github.com/stretchr/testify
+go get github.com/codegangsta/negroni | bash |
d_bash_1942 | ---
+++
@@ -7,10 +7,7 @@
# install some python modules that we need
sudo pip install blist cql decorator enum34 flaky futures nose-test-select psutil pycassa
# install/upgrade the latest cassandra-driver in pypi, including pre-releases
-#sudo pip install --pre --upgrade cassandra-driver
-# install python-driver fr... | bash |
d_bash_1943 | ---
+++
@@ -32,6 +32,7 @@
# Never log token to STDOUT.
set +x
eval $(printenv API_PASSWORD | bundle exec vcloud-login)
+trap "bundle exec vcloud-logout" EXIT
bundle exec rake
bundle exec rake integration | bash |
d_bash_1944 | ---
+++
@@ -15,7 +15,8 @@
# Enable git bash completion.
source /etc/profile.d/bash-completion.sh
-eselect bashcomp enable --global git
+# I want this next line to work, but it doesn't. The "true" is to prevent the error stopping the script.
+eselect bashcomp enable --global git || true
cat ${DIR}/service-conf... | bash |
d_bash_1945 | ---
+++
@@ -2,7 +2,6 @@
mkdir build && cd build
cmake -DCMAKE_BUILD_TYPE=$BUILD_TYPE -DDART_VERBOSE=ON -DDART_TREAT_WARNINGS_AS_ERRORS=ON -DDART_CODECOV=$CODECOV ..
-make -j4 tutorials examples tests
+if [ "$TRAVIS_OS_NAME" = "linux" ]; then make -j4 tutorials examples tests; else make -j4 tests; fi
if [ "$TRAVI... | bash |
d_bash_1946 | ---
+++
@@ -2,7 +2,8 @@
# The global constants used in several scripts
-PROJECTS="step-controller libserial libatom libplanar mxu11x0 planar-display planar-editor pui pui-keyboard"
+PROJECTS="step-controller libserial libatom libplanar mxu11x0 \
+ planar-display planar-editor pui pui-keyboard pui-test m... | bash |
d_bash_1947 | ---
+++
@@ -5,6 +5,6 @@
fi
pushd $( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
pushd ../../myplaceonline_posixcubes
-../../../posixcube/posixcube.sh -u root -w ~/production.pwd -h web*.myplaceonline.com -o "cubevar_app_web_servers=web*" -c core_begin -c web -c core_end
+../../../posixcube/posixcube.sh -u root ... | bash |
d_bash_1948 | ---
+++
@@ -31,7 +31,7 @@
gcloud beta run deploy "${SERVICE_NAME}" \
--project "${PROJECT}" \
--image "${IMAGE}" \
- --set-env-vars="GITHUB_TOKEN=${token}" \
+ --set-env-vars="GITHUB_TOKEN=${token},PERSIST_BACKEND=cloudsql,PERSIST_PATH=host=k8s-skaffold:us-central1:triage-party user=postgres password... | bash |
d_bash_1949 | ---
+++
@@ -11,6 +11,7 @@
composer config repositories.cre '{"type": "path", "url": "/cre/tmp/php/packages"}'
fi
composer config repositories.npm '{"type": "composer", "url": "https://asset-packagist.org"}'
+composer config repo.packagist false
composer install
##rsync -rl /cre/tmp/yii/ /cre/www/yii | bash |
d_bash_1950 | ---
+++
@@ -32,9 +32,6 @@
setopt auto_menu # show completion menu on succesive tab press
setopt always_to_end
-# Try to correct command line spelling
-setopt correct correctall
-
# Enable extended globing
setopt extendedglob
| bash |
d_bash_1951 | ---
+++
@@ -5,7 +5,7 @@
ARGS=$(grep '= getopt(' $ORIGPWD/../src/main.c | sed -e 's/[^"]*"//; s/"[^"]*$//; s/://g; s/\(.\)/\1 /g' )
for a in $ARGS; do
- $ORIGPWD/../src/varnish-agent -h 2>&1 | egrep -q "^-$a";
+ $ORIGPWD/../src/varnish-agent -h 2>&1 | egrep -q "^[ ]*-$a";
if [ $? -eq "0" ]; then pass;
else f... | bash |
d_bash_1952 | ---
+++
@@ -4,19 +4,20 @@
# lettier.com
GIFCURRY_VERSION="2.2.0.0"
+GIFCURRY_PACKAGING_LINUX="https://raw.githubusercontent.com/lettier/gifcurry/master/packaging/linux"
-echo "Installing the Gifcurry GUI..."
+echo "Installing the Gifcurry GUI...\n"
cd "$HOME"
mkdir -p "$HOME/.local/bin" "$HOME/.local/share/ap... | bash |
d_bash_1953 | ---
+++
@@ -22,7 +22,7 @@
make || exit $?
echo "========= make javahl"
-make javahl || exit $?
+make javahl -j1 || exit $?
echo "========= make swig-py"
make swig-py || exit $?
@@ -31,6 +31,6 @@
make swig-pl || exit $?
echo "========= make swig-rb"
-make swig-rb || exit $?
+make swig-rb -j1 || exit $?
... | bash |
d_bash_1954 | ---
+++
@@ -12,6 +12,8 @@
fi
# Compile wheels
for PYBIN in /opt/python/*${PYVER/./}*/bin; do
+ "$PYBIN/pip" install -U pip
+ "$PYBIN/pip" install --prefer-binary cryptography
"$PYBIN/pip" install -U numpy pypandoc twine cython
if [[ "$BUILD_ARCH" != i686 ]]; then
"$PYBIN/python" -c 'from pypandoc.pand... | bash |
d_bash_1955 | ---
+++
@@ -9,12 +9,14 @@
# Copyright (c) Telefónica Investigación y Desarrollo S.A.U.
# All rights reserved.
#
+set -e
cd $WORKSPACE/cosmos-cli
python2.7 ./bootstrap.py
if [ -f jenkins.cfg ]; then
bin/buildout -c jenkins.cfg
bin/jenkins-test
+ set +e
bin/jenkins-test-coverage
bin/jenkins-code-an... | bash |
d_bash_1956 | ---
+++
@@ -4,4 +4,5 @@
make dockerenvdist
buildkite-agent artifact upload 'dist/*.whl'
+buildkite-agent artifact upload 'dist/*.zip'
buildkite-agent artifact upload 'dist/*.tar.gz' | bash |
d_bash_1957 | ---
+++
@@ -1,4 +1,4 @@
createdb -U postgres template_postgis
psql -U postgres -d template_postgis -c "CREATE EXTENSION postgis;"
-psql -U postgres -d template_postgis -f "/usr/share/postgresql/9.3/contrib/postgis-2.1/legacy_gist.sql"
+psql -U postgres -d template_postgis -f "/usr/share/postgresql/contrib/postgis... | bash |
d_bash_1958 | ---
+++
@@ -7,5 +7,5 @@
}
echo '*/10 * * * * ./sync_resources.sh >> sync_task.log' | crontab -
-echo "scheduled task to run at 0200h daily"
+echo "scheduled task to run every 10 minutes"
| bash |
d_bash_1959 | ---
+++
@@ -3,7 +3,7 @@
mkdir -p build-ubuntu
cd build-ubuntu
-cmake -DCMAKE_BUILD_TYPE=Release ../src
+cmake -DCMAKE_BUILD_TYPE=Release -DBUILD_OSTREE=OFF -DBUILD_DEB=ON ../src
make -j8
make package | bash |
d_bash_1960 | ---
+++
@@ -14,3 +14,18 @@
source ~/.vimrc
EOF
fi
+
+if test $(which npm)
+then
+ npm install --global neovim
+fi
+
+if test $(which python2)
+then
+ python2 -m pip install --upgrade pynvim
+fi
+
+if test $(which python3)
+then
+ python3 -m pip install --upgrade pynvim
+fi | bash |
d_bash_1961 | ---
+++
@@ -19,7 +19,7 @@
git checkout master
echo "Fetching master branch..."
-git fetch master
+git fetch
echo "Fetching release branches..."
git fetch origin release:release | bash |
d_bash_1962 | ---
+++
@@ -3,7 +3,7 @@
cd ..
-find ../resources -type d -not -name "resources" | while read directory
+find ../resources -type d -not -name "resources" | sort | while read directory
do
dataset=$(basename $directory)
@@ -30,17 +30,12 @@
--max_features 10000
fi
- # We run different ... | bash |
d_bash_1963 | ---
+++
@@ -7,5 +7,5 @@
killall unclutter
#the locker
-xlock
+xlock -erasemode no_fade
unclutter -visible -grab& | bash |
d_bash_1964 | ---
+++
@@ -3,6 +3,7 @@
l() { ls summaries/ ; }
c() { perl collect.pl ; }
t() { tail -1 SUMMARY.txt ; }
+u() { myrsync SUMMARY.txt lap:Arcs/ ; myrsync SUMMARY.txt hostgator: ; }
f1() { perl -lane '/([US])/ && print $1'; }
f2() { perl -lane '$F[1] eq $ENV{V} and print $F[2]'; }
report() { local w="$1" ; shift; (... | bash |
d_bash_1965 | ---
+++
@@ -11,8 +11,7 @@
git rebase origin/master
echo "Looking for new gem versions"
-rm Gemfile.lock
-bundle install
+bundle update
git diff --exit-code Gemfile.lock || exit_code=$?
if [ -v exit_code ]; then | bash |
d_bash_1966 | ---
+++
@@ -17,7 +17,7 @@
docker run --detach --publish 30000:14500 --user "$(id -u):1000" --volume "${HOME}"/firefox-storage:/home/user:rw --env XPRA_EXTRA_ARGS="--tcp-auth= --tcp-encryption=" --env HOME=/home --env CUPS_SERVER="${docker_address}" --env SOCKS_SERVER="${docker_address}:5080" --env SOCKS_VERSION=5 ... | bash |
d_bash_1967 | ---
+++
@@ -9,6 +9,7 @@
PATH=$(cat <<EOL
./bin:
$ZSH/bin:
+/opt/homebrew/bin:
${P:0:-2}:
$PATH
EOL | bash |
d_bash_1968 | ---
+++
@@ -4,7 +4,15 @@
# Licensed under the MIT license. See LICENSE file in the project root for full license information.
#
-export NUGET_PACKAGES=~/.nuget/packages
+if [ ! -z "$CI_BUILD" ]; then
+ # On CI, $HOME is redirected under the repo, which gets deleted after every build.
+ # So make $NUGET_PACKAGES o... | bash |
d_bash_1969 | ---
+++
@@ -3,7 +3,7 @@
for dir in /usr/local/etc /etc; do
if [ -e ${dir}/bash_completion ]; then
source ${dir}/bash_completion
- complete -r vim
+ complete -r vim 2>/dev/null
complete -r sqlite3 2>/dev/null
return
fi | bash |
d_bash_1970 | ---
+++
@@ -3,7 +3,7 @@
SCRIPT_HOME=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
function add {
- ln -sf $SCRIPT_HOME/$1 ~/$1
+ ln -s $SCRIPT_HOME/$1 ~/$1
}
add .zshrc
@@ -19,3 +19,4 @@
add .i3status.conf
add .config
add .ncmpcpp
+add .conkerorrc | bash |
d_bash_1971 | ---
+++
@@ -1,5 +1,5 @@
# Find
-url\('(\.\./img.*\.[a-z]{3})'\)
+url\('(.*\.[a-z]{3})'\)
# Replace
url('$1?#{$version}') | bash |
d_bash_1972 | ---
+++
@@ -1,6 +1,6 @@
# Synaptics TouchPad driver settings
-if [[ synclient=$(type -tfp synclient) && -x $synclient ]];then
- if [[ $(xinput -list | grep "Synaptics TouchPad") ]];then
+if [[ -x $(type -tfp synclient) ]];then
+ if xinput -list | grep -e "Synaptics TouchPad" -e "Elantech Touchpad" >/dev/null 2>&1 ... | bash |
d_bash_1973 | ---
+++
@@ -13,6 +13,7 @@
libmagickcore-dev libmagickwand-dev
# Install ImageMagick
+export MAKEFLAGS="-j $(grep -c ^processor /proc/cpuinfo)"
cd /opt
wget http://www.imagemagick.org/download/ImageMagick.tar.gz
tar -xf ImageMagick.tar.gz && mv ImageMagick-* ImageMagick && cd ImageMagick && ./configure && mak... | bash |
d_bash_1974 | ---
+++
@@ -33,7 +33,7 @@
echo Checking $fl
futurefl=${fl//harbour-helloworld-pro-sailfish/$newname}
mv $fl $fl.old
- sed 's/harbour-helloworld-pro-sailfish/harbour-myapp/g' $fl.old > $futurefl
+ sed "s/harbour-helloworld-pro-sailfish/$newname/g" $fl.old > $futurefl
rm -f $fl.old
done
echo... | bash |
d_bash_1975 | ---
+++
@@ -5,7 +5,7 @@
export CPPFLAGS="-I${PREFIX}/include"
cd $SRC_DIR/kmer
-sed -i '' -e 's/usr\/bin\/perl/usr\/bin\/env perl/g' $(find . -type f -name "*.pl")
+find . -type f -name "*.pl" | xargs sed -i.bak 's/usr\/bin\/perl/usr\/bin\/env perl/g'
make install prefix=$PREFIX
cd $SRC_DIR/src
make | bash |
d_bash_1976 | ---
+++
@@ -33,4 +33,4 @@
echo "Giving access to the webserver"
chgrp -R www-data "$STORAGE_PATH"/*
-chmod -R g+w "$STORAGE_PATH"/*
+chmod -R g+ws "$STORAGE_PATH"/* | bash |
d_bash_1977 | ---
+++
@@ -1,48 +1,44 @@
#!/usr/bin/env bash
-if [[ $# -eq 0 ]]
-then
+if [[ $# -eq 0 ]]; then
echo "Usage"
echo "./launcher.sh generate"
echo "./launcher.sh build"
echo "./launcher.sh run"
+ echo "./launcher.sh run [port]"
echo "./launcher.sh logs"
+ echo "./launcher.sh enter"
+
+e... | bash |
d_bash_1978 | ---
+++
@@ -3,7 +3,7 @@
declare -A aliases
aliases=(
- [9.3]='latest 9'
+ [9.3]='9 latest'
[8.4]='8'
)
@@ -18,7 +18,7 @@
for version in "${versions[@]}"; do
commit="$(git log -1 --format='format:%H' "$version")"
fullVersion="$(grep -m1 'ENV PG_VERSION ' "$version/Dockerfile" | cut -d' ' -f3 | cut -d- -f... | bash |
d_bash_1979 | ---
+++
@@ -22,6 +22,6 @@
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-H "Travis-API-Version: 3" \
- -H "Authorization: token $TRAVIS_TOKEN" \
+ -H "Authorization: token $TRIGGER_API_COVERAGE_REPORTER" \
'https://api.travis-ci.com/repo/1336919/requests'
| bash |
d_bash_1980 | ---
+++
@@ -2,8 +2,8 @@
#install java 7 if needed
JAVA_VER=`java -version 2>&1 | grep "java version" | awk '{print $3}' | tr -d \" | awk '{split($0, array, ".")} END{print array[2]}'`
-if [[ $JAVA_VER ge 7 ]]; then
- echo "Java 7 or greater detected.."
+if [ "$JAVA_VER" -ge 7 ]; then
+ echo "Java 7 or great... | bash |
d_bash_1981 | ---
+++
@@ -17,7 +17,7 @@
#Server
#base_pkgs="${base_pkgs} apache2 openssh-server udhcpd"
-base_pkgs="${base_pkgs} openssh-server"
+base_pkgs="${base_pkgs} openssh-server udhcpd"
#Wireless
base_pkgs="${base_pkgs} wireless-tools wpasupplicant lowpan-tools wvdial lshw" | bash |
d_bash_1982 | ---
+++
@@ -2,7 +2,7 @@
set -uex
cd /tmp
-curl -O https://github.com/plt/racket/archive/master.tar.gz
+curl -L10 -O https://github.com/plt/racket/archive/master.tar.gz
tar -zxf master.tar.gz
cd racket-master/src
./configure --prefix=/app/vendor | bash |
d_bash_1983 | ---
+++
@@ -4,4 +4,4 @@
echo "%1/%\/"
}
-export PROMPT=$'$(prompt_directory_name) $ '
+export PROMPT=$'$(prompt_directory_name) %{$fg[cyan]%}$%{$reset_color%} ' | bash |
d_bash_1984 | ---
+++
@@ -21,6 +21,7 @@
{{ cookiecutter.virtualenv_bin }} .ve
.ve/bin/pip install -q "django=={{ cookiecutter.django_version }}"
-mkdir "$source_root" && .ve/bin/django-admin.py startproject -v 0 "{{ cookiecutter.project_name }}" "{{ cookiecutter.source_root }}"
+mkdir "$source_root"
+.ve/bin/django-admin.py st... | bash |
d_bash_1985 | ---
+++
@@ -3,3 +3,12 @@
apt-get install python3-pip -y
apt-get install python-dev
+pip install pillow
+easy_install -U distribute
+pip install matplotlib
+pip install nose
+
+# to test: python
+# >>> import numpy
+# >>> import matplotlib
+# >>> import nose | bash |
d_bash_1986 | ---
+++
@@ -1,6 +1,10 @@
-mkdir lib
-cd ./libmcp23s17/ && make
-make install
+
+mkdir -p lib
+cd ./libmcp23s17/ && make && make install
cd ..
-gcc -c -o ./lib/libpifacecad.o ./src/pifacecad.c
-ar rcs ./lib/libpifacecad.a ./lib/libpifacecad.o
+gcc -c -o ./lib/libpifacecad.o ./src/pifacecad.c \
+ && ar rcs ./lib/libp... | bash |
d_bash_1987 | ---
+++
@@ -1,3 +1,3 @@
-export PATH=".:bin:/usr/local/bin:/usr/local/sbin:$HOME/.sfs:$ZSH/bin:$PATH"
+export PATH="/usr/local/bin:/usr/local/sbin:$HOME/.sfs:$ZSH/bin:$PATH"
export MANPATH="/usr/local/man:/usr/local/mysql/man:/usr/local/git/man:$MANPATH" | bash |
d_bash_1988 | ---
+++
@@ -1,2 +1,2 @@
# brew : 各種ツールの PATH を除いて実行する
-alias brew="PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin brew"
+alias brew="env PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin brew" | bash |
d_bash_1989 | ---
+++
@@ -7,5 +7,5 @@
base_dir=$(readlink -nf $(dirname $0)/../..)
source $base_dir/lib/prelude_apply.bash
-qemu-img convert -O qcow2 $work/${stemcell_image_name} $work/root.qcow2
+qemu-img convert -c -O qcow2 $work/${stemcell_image_name} $work/root.qcow2
ln $work/root.qcow2 $work/root.img | bash |
d_bash_1990 | ---
+++
@@ -3,9 +3,9 @@
COLOR_SUCCESS='\033[0;32m'
NC='\033[0m'
-/tmp/scripts/ci.sh
+/docker/scripts/ci.sh
-/tmp/scripts/setup.sh
+/docker/scripts/setup.sh
chmod 777 -Rf /var/www/html/var
| bash |
d_bash_1991 | ---
+++
@@ -6,7 +6,7 @@
mkdir -p $BUILDPATH
-godep go build -o $BUILDPATH/remote_syslog2 .
+godep go build -o $BUILDPATH/remote_syslog .
cp README.md LICENSE example_config.yml $BUILDPATH
cd $BUILDPATH/.. | bash |
d_bash_1992 | ---
+++
@@ -30,7 +30,11 @@
nameZip=${WEBFILE_URL##*/}
echo "Dowload last build of Wordpress from $WEBFILE_URL to /tmp/$nameZip"
-wget $WEBFILE_URL -O /tmp/$nameZip
+if hash wget 2>/dev/null; then
+ sudo wget $WEBFILE_URL -O /tmp/$nameZip
+else
+ sudo curl -Lo /tmp/$nameZip -O $WEBFILE_URL
+fi
echo "Unzip wor... | bash |
d_bash_1993 | ---
+++
@@ -17,8 +17,13 @@
-a -f "/usr/src/app/export_city_index.sql"
}
+function cleanup_index_file() {
+ sed -i '.original' 's/#//g' city_index.csv
+}
+
function main() {
export_city_index
+ cleanup_index_file
}
main | bash |
d_bash_1994 | ---
+++
@@ -24,6 +24,10 @@
exit 1
fi
+brew update
+brew style
+brew update-reset
+
# Install and upgrade required packages
brew install libomp tbb open-mpi git \
python python@2 llvm wget cmake || true | bash |
d_bash_1995 | ---
+++
@@ -10,7 +10,7 @@
fi
VERSION=$(./SCYLLA-VERSION-GEN)
-SCYLLA_VERSION=$(cat build/SCYLLA-VERSION-FILE)
+SCYLLA_VERSION=$(cat build/SCYLLA-VERSION-FILE | sed 's/\.rc/~rc/')
SCYLLA_RELEASE=$(cat build/SCYLLA-RELEASE-FILE)
if [ "$SCYLLA_VERSION" = "development" ]; then
SCYLLA_VERSION=0development | bash |
d_bash_1996 | ---
+++
@@ -26,4 +26,4 @@
eval $(printenv API_PASSWORD | bundle exec vcloud-login)
bundle exec rake
-bundle exec rake integration
+bundle exec rspec integration | bash |
d_bash_1997 | ---
+++
@@ -1,14 +1,23 @@
#!/bin/bash -xe
-echo "Grabbing consoleLog"
+# Keep fetching until this uuid to appear in the logs before uploading
+END_UUID=$(cat /proc/sys/kernel/random/uuid)
+
+echo "Grabbing consoleLog ($END_UUID)"
# Get the plain text version (does not contain links or timestamps)
console_log_p... | bash |
d_bash_1998 | ---
+++
@@ -1,8 +1,6 @@
-#! /bin/bash
+#! /bin/sh
-pushd `dirname $0` > /dev/null
-SCRIPTPATH=`pwd`
-popd > /dev/null
+SCRIPTPATH=$(dirname $0)
LIB=$SCRIPTPATH"/../lib"
JARS=`ls $LIB/*.jar | tr '\n' ':'` | bash |
d_bash_1999 | ---
+++
@@ -4,6 +4,9 @@
if [ "$(uname)" == "Darwin" ]; then
sed -i.bak 's/LDFLAGS=-Wl,-s/LDFLAGS=/' vcflib/smithwaterman/Makefile
fi
+
+export C_INCLUDE_PATH=$PREFIX/include
+export CFLAGS="-I$PREFIX/include"
# bamtools/cmake for zlib
export CPLUS_INCLUDE_PATH=${PREFIX}/include | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.